
Infrastructure - Story #7200

Integration test coverage for v1-v2 and v2 functionality

2015-06-16 13:02 - Dave Vieglais

Status: Closed Start date: 2015-06-16

Priority: Normal Due date:  

Assignee: Andrei Buium % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Subtasks:

Task # 7201: Integration test coverage for replication services Closed

Task # 7204: Check for and implement any missing integration tests for new APIs Rejected

Task # 7205: integraton tests across v1 - v2 system metadata management Closed

Related issues:

Related to Infrastructure - Story #6723: test v2 MN and CN buildouts Closed 2015-01-06 2015-01-07

History

#1 - 2015-06-16 13:04 - Dave Vieglais

- Assignee set to Rob Nahf

Need to ensure that operations that implement version 2 apis have good integration test coverage. This includes pure V2 and V1-V2 cross talk (e.g.

v1 MN and V2 Cn system metadata management)

#2 - 2015-06-16 15:04 - Dave Vieglais

- Related to Story #6723: test v2 MN and CN buildouts added

#3 - 2015-07-01 16:19 - Dave Vieglais

- Target version changed from CCI-2.0-RC1 to CCI-2.0.0

#4 - 2015-07-01 18:07 - Dave Vieglais

- Project changed from CN REST to Infrastructure

- Milestone set to None

- Category set to d1_integration

#5 - 2015-07-14 20:42 - Chris Jones

- Assignee changed from Rob Nahf to Andrei Buium

#6 - 2015-07-15 17:26 - Andrei Buium

- % Done changed from 0 to 30

- Status changed from New to In Progress

Updating story status since all subtasks are now in "Testing".

#7 - 2015-07-15 17:27 - Andrei Buium

- % Done changed from 30 to 50
- Status changed from In Progress to Testing

Updating story status since all subtasks are now in "Testing"; have begun testing v2 integration tests.

#8 - 2015-11-04 19:58 - Andrei Buium

- % Done changed from 50 to 100

- Status changed from Testing to Closed

All subtasks are closed (or rejected); closing this task.
